GNU bug report logs - #44488
Koutline: export to HTML, replace-regexp-in-string: Invalid use of ‘\’ in replacement text

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: hyperbole; Reported by: Jean Louis <bugs@HIDDEN>; Done: Mats Lidell <matsl@HIDDEN>; Maintainer for hyperbole is bug-hyperbole@HIDDEN.
bug closed, send any further explanations to 44488 <at> debbugs.gnu.org and Jean Louis <bugs@HIDDEN> Request was from Mats Lidell <matsl@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 44488 <at> debbugs.gnu.org:


Received: (at 44488) by debbugs.gnu.org; 8 Nov 2020 18:17:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 08 13:17:04 2020
Received: from localhost ([127.0.0.1]:33025 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kbpFQ-00060h-Gf
	for submit <at> debbugs.gnu.org; Sun, 08 Nov 2020 13:17:04 -0500
Received: from static.rcdrun.com ([95.85.24.50]:59103)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1kbpFO-00060N-6T
 for 44488 <at> debbugs.gnu.org; Sun, 08 Nov 2020 13:17:03 -0500
Received: from localhost ([::ffff:197.157.34.177])
 (AUTH: PLAIN admin, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by static.rcdrun.com with ESMTPSA
 id 00000000002C0004.000000005FA8361C.0000535B; Sun, 08 Nov 2020 18:16:59 +0000
Date: Sun, 8 Nov 2020 19:10:57 +0300
From: Jean Louis <bugs@HIDDEN>
To: rswgnu@HIDDEN
Subject: Re: bug#44488: Koutline: =?utf-8?Q?export_?=
 =?utf-8?Q?to_HTML=2C_replace-regexp-in-string=3A_Invalid_use_of_=E2=80=98?=
 =?utf-8?B?XOKAmQ==?= in replacement text
Message-ID: <X6gYkViMWTJLmDkW@HIDDEN>
References: <86sg9me9j4.fsf@HIDDEN>
 <CA+OMD9jC-ZRre10eLYNKm5AA0Ygp+KkRkGa7EvmpZHxzG8++sw@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <CA+OMD9jC-ZRre10eLYNKm5AA0Ygp+KkRkGa7EvmpZHxzG8++sw@HIDDEN>
User-Agent: Mutt/+ (1036f0e) (2020-10-18)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 44488
Cc: 44488 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* Robert Weiner <rsw@HIDDEN> [2020-11-08 18:51]:
> This has been fixed in the source version of Hyperbole (via commit
> c0e48fb3d).

Thank you.

Which git link I may use to clone?





Information forwarded to bug-hyperbole@HIDDEN:
bug#44488; Package hyperbole. Full text available.

Message received at 44488 <at> debbugs.gnu.org:


Received: (at 44488) by debbugs.gnu.org; 8 Nov 2020 15:51:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 08 10:51:20 2020
Received: from localhost ([127.0.0.1]:32901 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kbmyO-0000U8-8S
	for submit <at> debbugs.gnu.org; Sun, 08 Nov 2020 10:51:20 -0500
Received: from eggs.gnu.org ([209.51.188.92]:36496)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rsw@HIDDEN>) id 1kbmyJ-0000Tt-4k
 for 44488 <at> debbugs.gnu.org; Sun, 08 Nov 2020 10:51:18 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50893)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rsw@HIDDEN>) id 1kbmyD-0001CI-4s
 for 44488 <at> debbugs.gnu.org; Sun, 08 Nov 2020 10:51:09 -0500
Received: from mail-lj1-f172.google.com ([209.85.208.172]:37761)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <rsw@HIDDEN>) id 1kbmyC-0001ZT-Ev
 for 44488 <at> debbugs.gnu.org; Sun, 08 Nov 2020 10:51:08 -0500
Received: by mail-lj1-f172.google.com with SMTP id l10so6969800lji.4
 for <44488 <at> debbugs.gnu.org>; Sun, 08 Nov 2020 07:51:08 -0800 (PST)
X-Gm-Message-State: AOAM532XiXNb8Mbvkdt1JaZqZdmW3guXzcmuNpv7EtYFklMgSb3Jfrxg
 zzEcFhze0bxJJIjsvwoJ0T9MPj7MkLedIjjSv3k=
X-Google-Smtp-Source: ABdhPJzURopuozEqH0y0NWQ9wjJWszI7iFPbDmvxNbJMTW+2JIkpCqp6PYOBQ1uWaAdyBOIxj3+2/aS/LUBEycwj/R4=
X-Received: by 2002:a05:651c:1074:: with SMTP id
 y20mr1823268ljm.432.1604850667125; 
 Sun, 08 Nov 2020 07:51:07 -0800 (PST)
MIME-Version: 1.0
References: <86sg9me9j4.fsf@HIDDEN>
In-Reply-To: <86sg9me9j4.fsf@HIDDEN>
From: Robert Weiner <rsw@HIDDEN>
Date: Sun, 8 Nov 2020 10:50:41 -0500
X-Gmail-Original-Message-ID: <CA+OMD9jC-ZRre10eLYNKm5AA0Ygp+KkRkGa7EvmpZHxzG8++sw@HIDDEN>
Message-ID: <CA+OMD9jC-ZRre10eLYNKm5AA0Ygp+KkRkGa7EvmpZHxzG8++sw@HIDDEN>
Subject: =?UTF-8?Q?Re=3A_bug=2344488=3A_Koutline=3A_export_to_HTML=2C_replace=2Dreg?=
 =?UTF-8?Q?exp=2Din=2Dstring=3A_Invalid_use_of_=E2=80=98=5C=E2=80=99_in_replacement_text?=
To: Jean Louis <bugs@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000ee7e5d05b39a69a6"
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 44488
Cc: 44488 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rswgnu@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--000000000000ee7e5d05b39a69a6
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

This has been fixed in the source version of Hyperbole (via commit
c0e48fb3d).

Bob


On Fri, Nov 6, 2020 at 1:55 PM Jean Louis <bugs@HIDDEN> wrote:

> Before I could export, now I cannot with emacs -Q:
>
> After asking me for the Koutline file, and export file name and title,
> after pressing RET I get:
>
> replace-regexp-in-string: Invalid use of =E2=80=98\=E2=80=99 in replaceme=
nt text
>
> Debugger entered--Lisp error: (error "Invalid use of =E2=80=98\\=E2=80=99=
 in replacement
> text")
>   replace-match("<I>\\0</I>" nil nil "{C-c C-l ?}" nil)
>   replace-regexp-in-string("{[^}]+}" "<I>\\0</I>" "Autonumbering: Full
> auto-numbering in Augment (1a2..." nil nil)
>   hypb:replace-match-string("{[^}]+}" "Autonumbering: Full auto-numbering
> in Augment (1a2..." "<I>\\0</I>")
>   #f(compiled-function (elt) #<bytecode 0x3d3b66784765229>)(("{[^}]+}" .
> "<I>\\0</I>"))
>   mapc(#f(compiled-function (elt) #<bytecode 0x3d3b66784765229>) (("<" .
> "&lt;") (">" . "&gt;") ("{[^}]+}" . "<I>\\0</I>")
> ("<?\\(URL[:=3D]\\)?\\(\\([a-zA-Z][a-zA-Z]+\\)://?/?\\([^/:@..." .
> kexport:html-url)
> ("<?\\(URL:\\|[^/@]\\|\\`\\|\"\\)\\(\\(\\)\\(\\)\\(\\(www\\|ftp\\|te..." =
.
> kexport:html-url) ("\\([_a-zA-Z][-_a-zA-Z0-9.!@+%]*@[-_a-zA-Z0-9.!@+%]+..=
."
> . "<A HREF=3D\"mailto:\\1\"><I>\\1</I></A>\\2")
> ("&lt;\\s-*@\\s-*[0-9a-zA-Z][.0-9a-zA-Z]*=3D\\([.0-9a-zA-..." . "<A
> HREF=3D\"#k\\1\">\\0</A>")
> ("&lt;\\s-*@\\s-*\\(\\([0-9a-zA-Z][.0-9a-zA-Z]*\\)\\)[^=3D&>..." . "<A
> HREF=3D\"#k\\1\">\\0</A>") ("&lt;\\s-*\\([^
> \11\n\15,<>]+\\)\\s-*,\\s-*[0-9a-zA-Z][.0-9a-..." .
> kexport:html-file-klink) ("&lt;\\s-*\\([^
> \11\n\15,<>]+\\)\\s-*,\\s-*\\([0-9a-zA-Z][.0-9..." .
> kexport:html-file-klink)))
>   kexport:html-markup("Autonumbering: Full auto-numbering in Augment
> (1a2...")
>   #f(compiled-function (kview) #<bytecode -0x14b610fa7eb92e2d>)((kview
> plist (label-parent klabel:parent-alpha label-increment
> klabel:increment-alpha label-child klabel:child-alpha label-function
> klabel-type:alpha-label view-buffer #<buffer EXAMPLE.kotl> top-cell (knod=
e
> contents nil plist (idstamp 0 creator "admin@HIDDEN"
> create-time "20201106:16:25:29" id-counter 77 file
> "/home/data1/protected/EXAMPLE.kotl")) label-type alpha label-min-width 3
> label-separator ". " label-separator-length 2 level-indent 3 blank-lines =
t
> levels-to-show 0 lines-to-show 0)))
>   kview:map-tree(#f(compiled-function (kview) #<bytecode
> -0x14b610fa7eb92e2d>) (kview plist (label-parent klabel:parent-alpha
> label-increment klabel:increment-alpha label-child klabel:child-alpha
> label-function klabel-type:alpha-label view-buffer #<buffer EXAMPLE.kotl>
> top-cell (knode contents nil plist (idstamp 0 creator "
> admin@HIDDEN" create-time "20201106:16:25:29" id-counter 77
> file "/home/data1/protected/EXAMPLE.kotl")) label-type alpha
> label-min-width 3 label-separator ". " label-separator-length 2
> level-indent 3 blank-lines t levels-to-show 0 lines-to-show 0)) t t)
>   kexport:html("~/EXAMPLE.kotl" "~/new.html" nil)
>   funcall-interactively(kexport:html "~/EXAMPLE.kotl" "~/new.html" nil)
>   call-interactively(kexport:html nil nil)
>   command-execute(kexport:html)
>
>
> I use:  Editor:      GNU Emacs 28.0.50 (build 26, x86_64-pc-linux-gnu, X
> toolkit, cairo version 1.14.8, Xaw3d scroll bars)
>
>         Hyperbole:   7.1.3
>         Sys Type:    x86_64-pc-linux-gnu
>         OS Type:     gnu/linux
>         Window Sys:  x
>         News Reader: Gnus v5.13
>
> --
> Thanks,
> Jean Louis
> =E2=8E=94 =CE=BB =F0=9F=84=AF =F0=9D=8D=84 =F0=9D=8C=A1 =F0=9D=8C=9A
>
>
>
> _______________________________________________
> Bug-hyperbole mailing list
> Bug-hyperbole@HIDDEN
> https://lists.gnu.org/mailman/listinfo/bug-hyperbole
>

--000000000000ee7e5d05b39a69a6
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_default" style=3D"font-family:monospac=
e,monospace">This has been fixed in the source version of Hyperbole (via=C2=
=A0<span style=3D"font-family:Arial,Helvetica,sans-serif">commit c0e48fb3d)=
.</span></div><div class=3D"gmail_default" style=3D"font-family:monospace,m=
onospace"><span style=3D"font-family:Arial,Helvetica,sans-serif"><br></span=
></div><div class=3D"gmail_default" style=3D"font-family:monospace,monospac=
e"><span style=3D"font-family:Arial,Helvetica,sans-serif">Bob</span></div><=
div class=3D"gmail_default" style=3D"font-family:monospace,monospace"><span=
 style=3D"font-family:Arial,Helvetica,sans-serif"><br></span></div></div><b=
r><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Fri, =
Nov 6, 2020 at 1:55 PM Jean Louis &lt;bugs@HIDDEN&gt; wrote:<br></div>=
<blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-=
left:1px solid rgb(204,204,204);padding-left:1ex">Before I could export, no=
w I cannot with emacs -Q:<br>
<br>
After asking me for the Koutline file, and export file name and title,<br>
after pressing RET I get:<br>
<br>
replace-regexp-in-string: Invalid use of =E2=80=98\=E2=80=99 in replacement=
 text<br>
<br>
Debugger entered--Lisp error: (error &quot;Invalid use of =E2=80=98\\=E2=80=
=99 in replacement text&quot;)<br>
=C2=A0 replace-match(&quot;&lt;I&gt;\\0&lt;/I&gt;&quot; nil nil &quot;{C-c =
C-l ?}&quot; nil)<br>
=C2=A0 replace-regexp-in-string(&quot;{[^}]+}&quot; &quot;&lt;I&gt;\\0&lt;/=
I&gt;&quot; &quot;Autonumbering: Full auto-numbering in Augment (1a2...&quo=
t; nil nil)<br>
=C2=A0 hypb:replace-match-string(&quot;{[^}]+}&quot; &quot;Autonumbering: F=
ull auto-numbering in Augment (1a2...&quot; &quot;&lt;I&gt;\\0&lt;/I&gt;&qu=
ot;)<br>
=C2=A0 #f(compiled-function (elt) #&lt;bytecode 0x3d3b66784765229&gt;)((&qu=
ot;{[^}]+}&quot; . &quot;&lt;I&gt;\\0&lt;/I&gt;&quot;))<br>
=C2=A0 mapc(#f(compiled-function (elt) #&lt;bytecode 0x3d3b66784765229&gt;)=
 ((&quot;&lt;&quot; . &quot;&amp;lt;&quot;) (&quot;&gt;&quot; . &quot;&amp;=
gt;&quot;) (&quot;{[^}]+}&quot; . &quot;&lt;I&gt;\\0&lt;/I&gt;&quot;) (&quo=
t;&lt;?\\(URL[:=3D]\\)?\\(\\([a-zA-Z][a-zA-Z]+\\)://?/?\\([^/:@...&quot; . =
kexport:html-url) (&quot;&lt;?\\(URL:\\|[^/@]\\|\\`\\|\&quot;\\)\\(\\(\\)\\=
(\\)\\(\\(www\\|ftp\\|te...&quot; . kexport:html-url) (&quot;\\([_a-zA-Z][-=
_a-zA-Z0-9.!@+%]*@[-_a-zA-Z0-9.!@+%]+...&quot; . &quot;&lt;A HREF=3D\&quot;=
mailto:\\1\&quot;&gt;&lt;I&gt;\\1&lt;/I&gt;&lt;/A&gt;\\2&quot;) (&quot;&amp=
;lt;\\s-*@\\s-*[0-9a-zA-Z][.0-9a-zA-Z]*=3D\\([.0-9a-zA-...&quot; . &quot;&l=
t;A HREF=3D\&quot;#k\\1\&quot;&gt;\\0&lt;/A&gt;&quot;) (&quot;&amp;lt;\\s-*=
@\\s-*\\(\\([0-9a-zA-Z][.0-9a-zA-Z]*\\)\\)[^=3D&amp;&gt;...&quot; . &quot;&=
lt;A HREF=3D\&quot;#k\\1\&quot;&gt;\\0&lt;/A&gt;&quot;) (&quot;&amp;lt;\\s-=
*\\([^ \11\n\15,&lt;&gt;]+\\)\\s-*,\\s-*[0-9a-zA-Z][.0-9a-...&quot; . kexpo=
rt:html-file-klink) (&quot;&amp;lt;\\s-*\\([^ \11\n\15,&lt;&gt;]+\\)\\s-*,\=
\s-*\\([0-9a-zA-Z][.0-9...&quot; . kexport:html-file-klink)))<br>
=C2=A0 kexport:html-markup(&quot;Autonumbering: Full auto-numbering in Augm=
ent (1a2...&quot;)<br>
=C2=A0 #f(compiled-function (kview) #&lt;bytecode -0x14b610fa7eb92e2d&gt;)(=
(kview plist (label-parent klabel:parent-alpha label-increment klabel:incre=
ment-alpha label-child klabel:child-alpha label-function klabel-type:alpha-=
label view-buffer #&lt;buffer EXAMPLE.kotl&gt; top-cell (knode contents nil=
 plist (idstamp 0 creator &quot;<a href=3D"mailto:admin@HIDDEN=
m" target=3D"_blank">admin@HIDDEN</a>&quot; create-time &quot=
;20201106:16:25:29&quot; id-counter 77 file &quot;/home/data1/protected/EXA=
MPLE.kotl&quot;)) label-type alpha label-min-width 3 label-separator &quot;=
. &quot; label-separator-length 2 level-indent 3 blank-lines t levels-to-sh=
ow 0 lines-to-show 0)))<br>
=C2=A0 kview:map-tree(#f(compiled-function (kview) #&lt;bytecode -0x14b610f=
a7eb92e2d&gt;) (kview plist (label-parent klabel:parent-alpha label-increme=
nt klabel:increment-alpha label-child klabel:child-alpha label-function kla=
bel-type:alpha-label view-buffer #&lt;buffer EXAMPLE.kotl&gt; top-cell (kno=
de contents nil plist (idstamp 0 creator &quot;<a href=3D"mailto:admin@prot=
ected.rcdrun.com" target=3D"_blank">admin@HIDDEN</a>&quot; cr=
eate-time &quot;20201106:16:25:29&quot; id-counter 77 file &quot;/home/data=
1/protected/EXAMPLE.kotl&quot;)) label-type alpha label-min-width 3 label-s=
eparator &quot;. &quot; label-separator-length 2 level-indent 3 blank-lines=
 t levels-to-show 0 lines-to-show 0)) t t)<br>
=C2=A0 kexport:html(&quot;~/EXAMPLE.kotl&quot; &quot;~/new.html&quot; nil)<=
br>
=C2=A0 funcall-interactively(kexport:html &quot;~/EXAMPLE.kotl&quot; &quot;=
~/new.html&quot; nil)<br>
=C2=A0 call-interactively(kexport:html nil nil)<br>
=C2=A0 command-execute(kexport:html)<br>
<br>
<br>
I use:=C2=A0 Editor:=C2=A0 =C2=A0 =C2=A0 GNU Emacs 28.0.50 (build 26, x86_6=
4-pc-linux-gnu, X toolkit, cairo version 1.14.8, Xaw3d scroll bars)<br>
<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 Hyperbole:=C2=A0 =C2=A07.1.3<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 Sys Type:=C2=A0 =C2=A0 x86_64-pc-linux-gnu<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 OS Type:=C2=A0 =C2=A0 =C2=A0gnu/linux<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 Window Sys:=C2=A0 x<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 News Reader: Gnus v5.13<br>
<br>
-- <br>
Thanks,<br>
Jean Louis<br>
=E2=8E=94 =CE=BB =F0=9F=84=AF =F0=9D=8D=84 =F0=9D=8C=A1 =F0=9D=8C=9A<br>
<br>
<br>
<br>
_______________________________________________<br>
Bug-hyperbole mailing list<br>
<a href=3D"mailto:Bug-hyperbole@HIDDEN" target=3D"_blank">Bug-hyperbole@gn=
u.org</a><br>
<a href=3D"https://lists.gnu.org/mailman/listinfo/bug-hyperbole" rel=3D"nor=
eferrer" target=3D"_blank">https://lists.gnu.org/mailman/listinfo/bug-hyper=
bole</a><br>
</blockquote></div>

--000000000000ee7e5d05b39a69a6--




Information forwarded to bug-hyperbole@HIDDEN:
bug#44488; Package hyperbole. Full text available.

Message received at 44488 <at> debbugs.gnu.org:


Received: (at 44488) by debbugs.gnu.org; 7 Nov 2020 01:29:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 06 20:29:07 2020
Received: from localhost ([127.0.0.1]:57693 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kbD2Q-0007V7-V3
	for submit <at> debbugs.gnu.org; Fri, 06 Nov 2020 20:29:07 -0500
Received: from mail-qt1-f180.google.com ([209.85.160.180]:32991)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rswgnu@HIDDEN>) id 1kbD2O-0007Ud-S2
 for 44488 <at> debbugs.gnu.org; Fri, 06 Nov 2020 20:29:05 -0500
Received: by mail-qt1-f180.google.com with SMTP id i12so2187536qtj.0
 for <44488 <at> debbugs.gnu.org>; Fri, 06 Nov 2020 17:29:04 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=content-transfer-encoding:from:mime-version:subject:date:message-id
 :references:cc:in-reply-to:to;
 bh=ZA9tFMp0ui6zMch+LDYQ2qOlVtydHBX5suvMvALBYvE=;
 b=Q1jl9dL8uRqaxZlANtmX+z6Y7n3Py/+OeoAJoVHjuFljAyqHXb6/iLW5KjNin5thwh
 rgFzXizTYlaDVvjERtK6eZkdHRtGnL4CCQ8qLv//PJoOuCEs1ar94hSG5CFrp6ase8Y8
 4TrWjV+dN7P6e15Mr3JDjD1hk0glHQRuiPBbB+Y5Efb21E4ag18wXJ4P4W9BO0Vh9Ktj
 ILz7X/V+n+lEXFB2OtRL0caUAHF6L9y9Ky6bwOGCrJl5jjrbwjB6Wz9pkIipAYSowxkO
 XdE55I1RfKbUpSfcZrNnoKE4LCk+xjQHvgC/RaYnG666lMGroD5xlLZ2VjvQlBxSH7Mf
 nsDA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:content-transfer-encoding:from:mime-version
 :subject:date:message-id:references:cc:in-reply-to:to;
 bh=ZA9tFMp0ui6zMch+LDYQ2qOlVtydHBX5suvMvALBYvE=;
 b=rn8/JJuECGMGcWN0wGQ/oBxMeJ+ZgfhFRDH2CTrmbqZ1h51qPGrmnsRv1OoUmACLUw
 4GZ2ZNXhCC6c9gZMkD4sLixIPza2IxeCa2yVPV/HE5ucu+Y9jVGUZJai1NrSSMlqD+PN
 ENOb4w/oLspf+9nAIgYQYJHUZdZ/vfikkLUqvkj2ZEDcRe6Tnzj0AltAsVl+Bv4YRhiU
 Fe4vdCy8Gkq4BDUhnFFV6Z9gYwi2BsYVKBugeui0mAiFOu+pXwsmBrBfJoVgE8qj+20A
 0EyRAQGMKpRS0fq2p6q/qO+XCRX6xCQODYVuzTiHfthxzk5YlILBG2+avyOCQ6CmWr8X
 y5pw==
X-Gm-Message-State: AOAM533mUasQyydMDiJmckxbJ4wtaXsG8kXDsgEU/+4Q2kxnTGgUg5b2
 kWcSIpKPqWYooIfHN6EqqGzNA48DnhF0lg==
X-Google-Smtp-Source: ABdhPJyToLxDy2GWmd72LCwFYEY9PHPP2hiyvTH3CD9Z8zpHT6M1H21D9H7BCdF5jNvM4VwRtktLZQ==
X-Received: by 2002:aed:3ba6:: with SMTP id r35mr4328140qte.269.1604712539154; 
 Fri, 06 Nov 2020 17:28:59 -0800 (PST)
Received: from [192.168.10.145] (ool-2f14838b.dyn.optonline.net.
 [47.20.131.139])
 by smtp.gmail.com with ESMTPSA id h82sm1805039qke.109.2020.11.06.17.28.58
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Fri, 06 Nov 2020 17:28:58 -0800 (PST)
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
From: Robert Weiner <rswgnu@HIDDEN>
Mime-Version: 1.0 (1.0)
Subject: =?utf-8?Q?Re:_bug#44488:_Koutline:_export_to_HTML,_replace-regex?=
 =?utf-8?Q?p-in-string:_Invalid_use_of_=E2=80=98\=E2=80=99_in_rep?=
 =?utf-8?Q?lacement_text?=
Date: Fri, 6 Nov 2020 20:28:57 -0500
Message-Id: <7237C145-2691-4701-A2BD-A4057711DB04@HIDDEN>
References: <86sg9me9j4.fsf@HIDDEN>
In-Reply-To: <86sg9me9j4.fsf@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
X-Mailer: iPhone Mail (17G80)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44488
Cc: 44488 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Thanks for reporting.  =E2=80=94 Bob

> On Nov 6, 2020, at 1:55 PM, Jean Louis <bugs@HIDDEN> wrote:
>=20
> =EF=BB=BFBefore I could export, now I cannot with emacs -Q:
>=20
> After asking me for the Koutline file, and export file name and title,
> after pressing RET I get:
>=20
> replace-regexp-in-string: Invalid use of =E2=80=98\=E2=80=99 in replacemen=
t text
>=20
> Debugger entered--Lisp error: (error "Invalid use of =E2=80=98\\=E2=80=99 i=
n replacement text")
>  replace-match("<I>\\0</I>" nil nil "{C-c C-l ?}" nil)
>  replace-regexp-in-string("{[^}]+}" "<I>\\0</I>" "Autonumbering: Full auto=
-numbering in Augment (1a2..." nil nil)
>  hypb:replace-match-string("{[^}]+}" "Autonumbering: Full auto-numbering i=
n Augment (1a2..." "<I>\\0</I>")
>  #f(compiled-function (elt) #<bytecode 0x3d3b66784765229>)(("{[^}]+}" . "<=
I>\\0</I>"))
>  mapc(#f(compiled-function (elt) #<bytecode 0x3d3b66784765229>) (("<" . "&=
lt;") (">" . "&gt;") ("{[^}]+}" . "<I>\\0</I>") ("<?\\(URL[:=3D]\\)?\\(\\([a=
-zA-Z][a-zA-Z]+\\)://?/?\\([^/:@..." . kexport:html-url) ("<?\\(URL:\\|[^/@]=
\\|\\`\\|\"\\)\\(\\(\\)\\(\\)\\(\\(www\\|ftp\\|te..." . kexport:html-url) ("=
\\([_a-zA-Z][-_a-zA-Z0-9.!@+%]*@[-_a-zA-Z0-9.!@+%]+..." . "<A HREF=3D\"mailt=
o:\\1\"><I>\\1</I></A>\\2") ("&lt;\\s-*@\\s-*[0-9a-zA-Z][.0-9a-zA-Z]*=3D\\([=
.0-9a-zA-..." . "<A HREF=3D\"#k\\1\">\\0</A>") ("&lt;\\s-*@\\s-*\\(\\([0-9a-=
zA-Z][.0-9a-zA-Z]*\\)\\)[^=3D&>..." . "<A HREF=3D\"#k\\1\">\\0</A>") ("&lt;\=
\s-*\\([^ \11\n\15,<>]+\\)\\s-*,\\s-*[0-9a-zA-Z][.0-9a-..." . kexport:html-f=
ile-klink) ("&lt;\\s-*\\([^ \11\n\15,<>]+\\)\\s-*,\\s-*\\([0-9a-zA-Z][.0-9..=
." . kexport:html-file-klink)))
>  kexport:html-markup("Autonumbering: Full auto-numbering in Augment (1a2..=
.")
>  #f(compiled-function (kview) #<bytecode -0x14b610fa7eb92e2d>)((kview plis=
t (label-parent klabel:parent-alpha label-increment klabel:increment-alpha l=
abel-child klabel:child-alpha label-function klabel-type:alpha-label view-bu=
ffer #<buffer EXAMPLE.kotl> top-cell (knode contents nil plist (idstamp 0 cr=
eator "admin@HIDDEN" create-time "20201106:16:25:29" id-counte=
r 77 file "/home/data1/protected/EXAMPLE.kotl")) label-type alpha label-min-=
width 3 label-separator ". " label-separator-length 2 level-indent 3 blank-l=
ines t levels-to-show 0 lines-to-show 0)))
>  kview:map-tree(#f(compiled-function (kview) #<bytecode -0x14b610fa7eb92e2=
d>) (kview plist (label-parent klabel:parent-alpha label-increment klabel:in=
crement-alpha label-child klabel:child-alpha label-function klabel-type:alph=
a-label view-buffer #<buffer EXAMPLE.kotl> top-cell (knode contents nil plis=
t (idstamp 0 creator "admin@HIDDEN" create-time "20201106:16:2=
5:29" id-counter 77 file "/home/data1/protected/EXAMPLE.kotl")) label-type a=
lpha label-min-width 3 label-separator ". " label-separator-length 2 level-i=
ndent 3 blank-lines t levels-to-show 0 lines-to-show 0)) t t)
>  kexport:html("~/EXAMPLE.kotl" "~/new.html" nil)
>  funcall-interactively(kexport:html "~/EXAMPLE.kotl" "~/new.html" nil)
>  call-interactively(kexport:html nil nil)
>  command-execute(kexport:html)
>=20
>=20
> I use:  Editor:      GNU Emacs 28.0.50 (build 26, x86_64-pc-linux-gnu, X t=
oolkit, cairo version 1.14.8, Xaw3d scroll bars)
>=20
>        Hyperbole:   7.1.3
>        Sys Type:    x86_64-pc-linux-gnu
>        OS Type:     gnu/linux
>        Window Sys:  x
>        News Reader: Gnus v5.13
>=20
> --=20
> Thanks,
> Jean Louis
> =E2=8E=94 =CE=BB =F0=9F=84=AF =F0=9D=8D=84 =F0=9D=8C=A1 =F0=9D=8C=9A
>=20
>=20
>=20
> _______________________________________________
> Bug-hyperbole mailing list
> Bug-hyperbole@HIDDEN
> https://lists.gnu.org/mailman/listinfo/bug-hyperbole




Information forwarded to bug-hyperbole@HIDDEN:
bug#44488; Package hyperbole. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Nov 2020 18:53:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 06 13:53:05 2020
Received: from localhost ([127.0.0.1]:57292 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kb6rA-0005cD-OK
	for submit <at> debbugs.gnu.org; Fri, 06 Nov 2020 13:53:05 -0500
Received: from lists.gnu.org ([209.51.188.17]:59500)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <support1@HIDDEN>) id 1kb6r8-0005bj-GA
 for submit <at> debbugs.gnu.org; Fri, 06 Nov 2020 13:53:02 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:59916)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <support1@HIDDEN>)
 id 1kb6r8-0000vO-4k
 for bug-hyperbole@HIDDEN; Fri, 06 Nov 2020 13:53:02 -0500
Received: from static.rcdrun.com ([95.85.24.50]:59645)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <support1@HIDDEN>)
 id 1kb6r6-00081D-8H
 for bug-hyperbole@HIDDEN; Fri, 06 Nov 2020 13:53:01 -0500
Received: from localhost ([::ffff:197.157.0.43])
 (AUTH: PLAIN admin, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by static.rcdrun.com with ESMTPSA
 id 00000000002C0015.000000005FA59B5B.00002584; Fri, 06 Nov 2020 18:52:10 +0000
From: Jean Louis <bugs@HIDDEN>
To: bug-hyperbole@HIDDEN
Subject: Koutline: export to HTML, replace-regexp-in-string: Invalid use of
 =?utf-8?B?4oCYXOKAmQ==?= in replacement text
X-Hashcash: 1:20:201106:bug-hyperbole@HIDDEN::l3hle5VoX87tu1SH:00000000000000000000000000000000000000001j3y
Date: Fri, 06 Nov 2020 19:26:39 +0300
Message-ID: <86sg9me9j4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=95.85.24.50; envelope-from=support1@HIDDEN;
 helo=static.rcdrun.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/11/06 13:51:50
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: -1
X-Spam_score: -0.2
X-Spam_bar: /
X-Spam_report: (-0.2 / 5.0 requ) BAYES_00=-1.9,
 HEADER_FROM_DIFFERENT_DOMAINS=0.25, RCVD_IN_SORBS_WEB=1.5,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

Before I could export, now I cannot with emacs -Q:

After asking me for the Koutline file, and export file name and title,
after pressing RET I get:

replace-regexp-in-string: Invalid use of =E2=80=98\=E2=80=99 in replacement=
 text

Debugger entered--Lisp error: (error "Invalid use of =E2=80=98\\=E2=80=99 i=
n replacement text")
  replace-match("<I>\\0</I>" nil nil "{C-c C-l ?}" nil)
  replace-regexp-in-string("{[^}]+}" "<I>\\0</I>" "Autonumbering: Full auto=
-numbering in Augment (1a2..." nil nil)
  hypb:replace-match-string("{[^}]+}" "Autonumbering: Full auto-numbering i=
n Augment (1a2..." "<I>\\0</I>")
  #f(compiled-function (elt) #<bytecode 0x3d3b66784765229>)(("{[^}]+}" . "<=
I>\\0</I>"))
  mapc(#f(compiled-function (elt) #<bytecode 0x3d3b66784765229>) (("<" . "&=
lt;") (">" . "&gt;") ("{[^}]+}" . "<I>\\0</I>") ("<?\\(URL[:=3D]\\)?\\(\\([=
a-zA-Z][a-zA-Z]+\\)://?/?\\([^/:@..." . kexport:html-url) ("<?\\(URL:\\|[^/=
@]\\|\\`\\|\"\\)\\(\\(\\)\\(\\)\\(\\(www\\|ftp\\|te..." . kexport:html-url)=
 ("\\([_a-zA-Z][-_a-zA-Z0-9.!@+%]*@[-_a-zA-Z0-9.!@+%]+..." . "<A HREF=3D\"m=
ailto:\\1\"><I>\\1</I></A>\\2") ("&lt;\\s-*@\\s-*[0-9a-zA-Z][.0-9a-zA-Z]*=
=3D\\([.0-9a-zA-..." . "<A HREF=3D\"#k\\1\">\\0</A>") ("&lt;\\s-*@\\s-*\\(\=
\([0-9a-zA-Z][.0-9a-zA-Z]*\\)\\)[^=3D&>..." . "<A HREF=3D\"#k\\1\">\\0</A>"=
) ("&lt;\\s-*\\([^ \11\n\15,<>]+\\)\\s-*,\\s-*[0-9a-zA-Z][.0-9a-..." . kexp=
ort:html-file-klink) ("&lt;\\s-*\\([^ \11\n\15,<>]+\\)\\s-*,\\s-*\\([0-9a-z=
A-Z][.0-9..." . kexport:html-file-klink)))
  kexport:html-markup("Autonumbering: Full auto-numbering in Augment (1a2..=
.")
  #f(compiled-function (kview) #<bytecode -0x14b610fa7eb92e2d>)((kview plis=
t (label-parent klabel:parent-alpha label-increment klabel:increment-alpha =
label-child klabel:child-alpha label-function klabel-type:alpha-label view-=
buffer #<buffer EXAMPLE.kotl> top-cell (knode contents nil plist (idstamp 0=
 creator "admin@HIDDEN" create-time "20201106:16:25:29" id-co=
unter 77 file "/home/data1/protected/EXAMPLE.kotl")) label-type alpha label=
-min-width 3 label-separator ". " label-separator-length 2 level-indent 3 b=
lank-lines t levels-to-show 0 lines-to-show 0)))
  kview:map-tree(#f(compiled-function (kview) #<bytecode -0x14b610fa7eb92e2=
d>) (kview plist (label-parent klabel:parent-alpha label-increment klabel:i=
ncrement-alpha label-child klabel:child-alpha label-function klabel-type:al=
pha-label view-buffer #<buffer EXAMPLE.kotl> top-cell (knode contents nil p=
list (idstamp 0 creator "admin@HIDDEN" create-time "20201106:=
16:25:29" id-counter 77 file "/home/data1/protected/EXAMPLE.kotl")) label-t=
ype alpha label-min-width 3 label-separator ". " label-separator-length 2 l=
evel-indent 3 blank-lines t levels-to-show 0 lines-to-show 0)) t t)
  kexport:html("~/EXAMPLE.kotl" "~/new.html" nil)
  funcall-interactively(kexport:html "~/EXAMPLE.kotl" "~/new.html" nil)
  call-interactively(kexport:html nil nil)
  command-execute(kexport:html)


I use:  Editor:      GNU Emacs 28.0.50 (build 26, x86_64-pc-linux-gnu, X to=
olkit, cairo version 1.14.8, Xaw3d scroll bars)

        Hyperbole:   7.1.3
        Sys Type:    x86_64-pc-linux-gnu
        OS Type:     gnu/linux
        Window Sys:  x
        News Reader: Gnus v5.13

--=20
Thanks,
Jean Louis
=E2=8E=94 =CE=BB =F0=9F=84=AF =F0=9D=8D=84 =F0=9D=8C=A1 =F0=9D=8C=9A




Acknowledgement sent to Jean Louis <bugs@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-hyperbole@HIDDEN. Full text available.
Report forwarded to bug-hyperbole@HIDDEN:
bug#44488; Package hyperbole. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 22 Nov 2020 16:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.